
Redmine - Defect #4127

New revisions not shown on activity page

2009-10-28 09:56 - Sebastian M.

Status: Closed Start date: 2009-10-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 0.8.5

Description

There exist new revisions in the repository wich are not shown on the activity page unless the repository page is visited beforehand.

1. Visit activity page -> new revisions missing

2. Visit repository page -> new revisions shown

3. Visit activity page again -> new revisions shown

SCM is CVS.

In thin's console output, I can see that when visiting the activity page, there is no refresh of the SCM triggered, at least there is no

CVS output on the console, whereas there is when visiting the repository page.

redmine 0.8.5

ruby 1.8.6

History

#1 - 2009-10-28 12:19 - Felix Schäfer

Redmine will only update the SCM history if you visit repository page, probably so as not to have unneeded overhead on other pages.

I have worked around this by adding a post-commit hook to our svn repositories, see #3667. I've never worked with CVS, so I'm not sure if CVS has

hooks of any kind, but maybe that will help you get on the way.

#2 - 2009-10-28 14:33 - Sebastian M.

Felix, thanks for the hint. I use the fetch script in a cron job now to update the changesets every 10 minutes.

#3 - 2009-10-28 18:07 - Felix Schäfer

Well, the cron-job is as you say every 10 minutes, and is a polling approach, i.e. you ask each and every repo every 10 minutes if there is something

new, in this case loading the whole ruby stuff and everything to get this going. While a convenient solution, it will add more load as the number of

repositories grows, and it doesn't happen "in real time". The post-commit hook solution is a pushing approach, meaning that a repository which gets

updated tells redmine that it has changed. While adding a small overhead per commit (I didn't notice commits to be slower, but your mileage may

vary), it only updates redmine as needed, so say a repository which sits idle for a week won't cause any extra and unnecessary work, the cron

solution will cause roughly 1000 accesses (6 accesses/hour * 24 hours/day * 7 days/week) to the repo for "nothing".

It might not make that much difference in the end, especially compared to having a database and rails and a webserver running, but hey, I'm a CS

student, and I'm being taught to take any work-cheap workflow-optimizing improvements that crosses my way ;-)

#4 - 2009-10-29 18:55 - Jean-Philippe Lang

- Category set to SCM

- Status changed from New to Closed

- Resolution set to Wont fix

This has already been discussed multiple times. A note is also included in the FAQ.
